

{% extends 'base/base.html' %}

{% block page_content %}
 <!-- Dropdown Card Example -->
 <div class="card shadow mb-4">
    <!-- Card Header - Dropdown -->
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-primary">Listado de Contribuyentes - Pinos, Zacatecas</h6>
        <div class="dropdown no-arrow">
            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
                <div class="dropdown-header">Acciones:</div>
                    <a class="dropdown-item" href="{% url 'catastro:contribuyentes_new' %}"> <i class="fa fa-calendar-plus"></i>Nuevo</a>
                    <a class="dropdown-item" href="{% url 'catastro:busqueda' %}"> <i class="fa fa-search-plus"></i>Buscar</a>
                    <!-- <a class="dropdown-item" href="#">Another action</a> -->
                <div class="dropdown-divider"></div>
                <!-- <a class="dropdown-item" href="#">Something else here</a> -->
            </div>
        </div>
    </div>

    <div class="card-body">
        {% if not obj %}
            <div class="alert alert-info">No Hay Contribuyentes</div>           
        {% else %}

        <table class="table table-bordered table-striped">
            <thead>
                <td>ID</td>
                <th>NÚMERO DE PREDIAL</th>
                <th>NOMBRE</th>
                <th>AP PATERNO</th>
                <th>AP MATERNO</th>
                <!-- <th>GÉNERO</th> -->
                <th>LOCALIDAD</th>
                <!-- <th>EXPEDIENTE</th> -->
                <!-- <th>NOTAS ADICIONALES</th> -->
                <th>ACCIONES</th>
            </thead>
    
            <tbody>
                
                {% for item in obj %}
                    <tr>
                        <td>{{ item.id }}</td>                       
                        {% if item.numero_de_cuenta_predial %}
                            <td>{{ item.numero_de_cuenta_predial }}</td>
                        {% else %}
                            <td></td>
                        {% endif %}                           

                        {% if item.nombre %}
                            <td>{{ item.nombre }}</td>                    
                        {% else %}
                            <td></td>
                        {% endif %}
                                                
                        {% if item.ap_paterno %}
                            <td>{{ item.ap_paterno }}</td>
                        {% else %}
                            <td></td>
                        {% endif %}
                                                                                       
                        {% if item.ap_materno %}
                            <td>{{ item.ap_materno }}</td>                    
                        {% else %}
                            <td></td>
                        {% endif %}
    
                        <!-- {% if item.genero %}
                            <td>{{ item.genero }}</td>                    
                        {% else %}
                            <td></td>
                        {% endif %} -->
    
                        {% if item.localidad %}
                            <td>{{ item.localidad }}</td>                    
                        {% else %} 
                            <td></td>
                        {% endif %}
                        
                        <!-- {% if item.expediente %}
                            <td>{{ item.expediente }}</td>                            
                        {% else %} 
                            <td></td>
                        {% endif %} -->
                            
                            
                        <!-- {% if item.notas_adicionales %}
                            <td>{{ item.notas_adicionales }}</td>
                        {% else %} 
                            <td></td>
                        {% endif %} -->
                            
                        <td>
                            <a href="{% url 'catastro:contribuyentes_edit' item.id %}" class="btn btn-warning btn-circle"><i class="far fa-edit"></i></a>                           
                            <a href="{% url 'catastro:contribuyentes_delete' item.id %}" class="btn btn-danger btn-circle"><i class="fas fa-trash-alt"></i> </a>                            
                        </td>
                    </tr>                                     
                {% endfor %}
                    
            </tbody>
        </table>
        {% endif %}
        
    </div>
</div>
{% endblock page_content %}

{% block js_page %}
    <script>
        // llamamos al plugin datatable de jQuery
        $(document).ready( function () {
            $('.table').DataTable({
                "pageLength": 8,
                "language": {
                    "processing": "Procesando...",
                    "lengthMenu": "Mostrar _MENU_ registros",
                    "zeroRecords": "No se encontraron resultados",
                    "emptyTable": "Ningún dato disponible en esta tabla",
                    "infoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
                    "infoFiltered": "(filtrado de un total de _MAX_ registros)",
                    "search": "Buscar:",
                    "infoThousands": ",",
                    "loadingRecords": "Cargando...",
                    "paginate": {
                        "first": "Primero",
                        "last": "Último",
                        "next": "Siguiente",
                        "previous": "Anterior"
                    },
                    "aria": {
                        "sortAscending": ": Activar para ordenar la columna de manera ascendente",
                        "sortDescending": ": Activar para ordenar la columna de manera descendente"
                    },                    
                }
            });
        });
         
    </script>
{% endblock js_page %}

